English | Deutsch | Español | Português
 UserID:
 Passwd:
new user
 About:   Dedicated  | Advanced  | Standard  | Recurring  | No Risk  | Desktop  | Basic  | Single  | Security Seal  | FAQ
  Price/Feature Summary  | Order  | New Vulnerabilities  | Confidentiality  | Vulnerability Search
 Vulnerability   
Search   
    Search 75803 CVE descriptions
and 40037 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.53496
Category:Debian Local Security Checks
Title:Debian Security Advisory DSA 666-1 (python2.2)
Summary:Debian Security Advisory DSA 666-1 (python2.2)
Description:The remote host is missing an update to python2.2
announced via advisory DSA 666-1.

The Python development team has discovered a flaw in their language
packge. The SimpleXMLRPCServer library module could permit remote
attackers unintended access to internals of the registered object or
its module or possibly other modules. The flaw only affects Python
XML-RPC servers that use the register_instance() method to register an
object without a _dispatch() method. Servers using only
register_function() are not affected.

For the stable distribution (woody) this problem has been fixed in
version 2.2.1-4.7. No other version of Python in woody is affected.

For the testing (sarge) and unstable (sid) distributions the following
matrix explains which version will contain the correction in which
version:

testing unstable
Python 2.2 2.2.3-14 2.2.3-14
Python 2.3 2.3.4-20 2.3.4+2.3.5c1-2
Python 2.4 2.4-5 2.4-5

We recommend that you upgrade your Python packages.


Solution:
http://www.securityspace.com/smysecure/catid.html?in=DSA%20666-1
Cross-Ref: BugTraq ID: 12437
Common Vulnerability Exposure (CVE) ID: CVE-2005-0089
Bugtraq: 20050203 Python Security Advisory PSF-2005-001 - SimpleXMLRPCServer.py (Google Search)
http://marc.theaimsgroup.com/?l=bugtraq&m=110746469728728&w=2
Debian Security Information: DSA-666 (Google Search)
http://www.debian.org/security/2005/dsa-666
http://www.mandriva.com/security/advisories?name=MDKSA-2005:035
http://www.redhat.com/support/errata/RHSA-2005-108.html
http://www.trustix.org/errata/2005/0003/
http://www.securityfocus.com/bid/12437
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:9811
http://securitytracker.com/id?1013083
http://secunia.com/advisories/14128
XForce ISS Database: python-simplexmlrpcserver-bypass(19217)
http://xforce.iss.net/xforce/xfdb/19217
CopyrightCopyright (c) 2005 E-Soft Inc. http://www.securityspace.com

This is only one of 40037 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.

New User Registration
Email:
UserID:
Passwd:
Please email me your monthly newsletters, informing the latest services, improvements & surveys.
Please email me a vulnerability test announcement whenever a new test is added.
   Privacy
Registered User Login
 
UserID:   
Passwd:  

 Forgot userid or passwd?
Email/Userid:




Home | About Us | Contact Us | Partner Programs | Developer APIs | Privacy | Mailing Lists | Abuse
Security Audits | Managed DNS | Network Monitoring | Site Analyzer | Internet Research Reports
Web Probe | Whois

© 1998-2014 E-Soft Inc. All rights reserved.